## com.imcode.imcms.servlet.admin
Enum ChangeText.TextEditPage.Format

    java.lang.Object
      java.lang.Enum<ChangeText.TextEditPage.Format>
          com.imcode.imcms.servlet.admin.ChangeText.TextEditPage.Format

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ChangeText.TextEditPage.Format>

Enclosing class:
  ChangeText.TextEditPage

    public static enum ChangeText.TextEditPage.Format

extends java.lang.Enum<ChangeText.TextEditPage.Format>

Enum Constant Summary
`EDITOR`
`NONE`
`TEXT`

Method Summary
`static ChangeText.TextEditPage.Format` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChangeText.TextEditPage.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ChangeText.TextEditPage.Format NONE

### TEXT

    public static final ChangeText.TextEditPage.Format TEXT

### EDITOR

    public static final ChangeText.TextEditPage.Format EDITOR

Method Detail

### values

    public static final ChangeText.TextEditPage.Format[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ChangeText.TextEditPage.Format c : ChangeText.TextEditPage.Format.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ChangeText.TextEditPage.Format valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name